Results 1 to 4 of 4
  1. #1
    Join Date
    Apr 2004
    Posts
    88

    How to install Ruby on Rails under CentOS?

    I am having zero luck in trying to figure out how to get Ruby on Rails installed on my dedicated server so that my hosting clients can run ruby applications.

    I have a CentOS 3.5 + cPanel based server running apache 1.3 and having about 50 sites.

    Any ideas ?

  2. #2
    Join Date
    Apr 2004
    Posts
    88
    I have Ruby installed now, now my understanding is that i need to install GEMS and then somehow install Rails via gems ?

    Anyone got instructions on how i`d install gems./

  3. #3
    Join Date
    Apr 2004
    Posts
    88
    following these instructions i installed ruby.

    http://xmlareas.com/ruby-rails-howto.html

    On this step - ruby setup.rb - i get the following output



    ruby setup.rb
    ---> bin
    <--- bin
    ---> lib
    ---> lib/rubygems
    <--- lib/rubygems
    <--- lib
    ---> bin
    <--- bin
    ---> lib
    ---> lib/rubygems
    <--- lib/rubygems
    <--- lib
    rm -f InstalledFiles
    ---> bin
    mkdir -p /usr/bin/
    install gemwhich /usr/bin/
    install gem /usr/bin/
    install gem_server /usr/bin/
    install generate_yaml_index.rb /usr/bin/
    install update_rubygems /usr/bin/
    <--- bin
    ---> lib
    mkdir -p /usr/lib/site_ruby/1.6/
    install ubygems.rb /usr/lib/site_ruby/1.6/
    install rubygems.rb /usr/lib/site_ruby/1.6/
    install gemconfigure.rb /usr/lib/site_ruby/1.6/
    ---> lib/rubygems
    mkdir -p /usr/lib/site_ruby/1.6/rubygems
    install specification.rb /usr/lib/site_ruby/1.6/rubygems
    install builder.rb /usr/lib/site_ruby/1.6/rubygems
    install command.rb /usr/lib/site_ruby/1.6/rubygems
    install config_file.rb /usr/lib/site_ruby/1.6/rubygems
    install custom_require.rb /usr/lib/site_ruby/1.6/rubygems
    install doc_manager.rb /usr/lib/site_ruby/1.6/rubygems
    install format.rb /usr/lib/site_ruby/1.6/rubygems
    install cmd_manager.rb /usr/lib/site_ruby/1.6/rubygems
    install gem_runner.rb /usr/lib/site_ruby/1.6/rubygems
    install installer.rb /usr/lib/site_ruby/1.6/rubygems
    install loadpath_manager.rb /usr/lib/site_ruby/1.6/rubygems
    install old_format.rb /usr/lib/site_ruby/1.6/rubygems
    install open-uri.rb /usr/lib/site_ruby/1.6/rubygems
    install package.rb /usr/lib/site_ruby/1.6/rubygems
    install remote_installer.rb /usr/lib/site_ruby/1.6/rubygems
    install rubygems_version.rb /usr/lib/site_ruby/1.6/rubygems
    install source_index.rb /usr/lib/site_ruby/1.6/rubygems
    install deployment.rb /usr/lib/site_ruby/1.6/rubygems
    install timer.rb /usr/lib/site_ruby/1.6/rubygems
    install user_interaction.rb /usr/lib/site_ruby/1.6/rubygems
    install validator.rb /usr/lib/site_ruby/1.6/rubygems
    install version.rb /usr/lib/site_ruby/1.6/rubygems
    install gem_commands.rb /usr/lib/site_ruby/1.6/rubygems
    install dependency_list.rb /usr/lib/site_ruby/1.6/rubygems
    <--- lib/rubygems
    <--- lib

    As of RubyGems 0.8.0, library stubs are no longer needed.
    Searching $LOAD_PATH for stubs to optionally delete (may take a while)...
    ...done.
    hook /temp/rubygems-0.8.10/./post-install.rb failed:
    wrong # of arguments(2 for 1)
    Try 'ruby setup.rb --help' for detailed usage.


    Has ruby on rails setup failed ? Im not sure whats going on.

  4. #4
    Join Date
    Oct 2004
    Location
    Portland, OR
    Posts
    69

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •